<?php
namespace Misuzu\Messages;

use Index\Data\IDbConnection;
class MessagesContext {
    private MessagesDatabase $database;

    public function __construct(IDbConnection $dbConn) {
        $this->database = new MessagesDatabase($dbConn);
    }

    public function getDatabase(): MessagesDatabase {
        return $this->database;
    }
}
